Releases
Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthQuery Parameters
One-indexed page. Handler clamps values below 1 to 1.
int641 <= value1Items per page. Handler defaults to 30 and clamps above 100.
int641 <= value <= 10030Base64 cursor encoding page and per_page; overrides page/per_page when valid.
Forwarded to Forgejo release list filtering when supported.
Response Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/releases?page=2&per_page=2&cursor=abc123&query=abc123""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/repositories/aa/aa/releases" \ -H "Content-Type: application/json" \ -d '{ "hideArchiveLinks": false, "isDraft": false, "isPrerelease": false, "notes": "abc123", "tagName": "aa", "target": "abc123", "title": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRelease Git tag.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/repositories/aa/aa/releases/tags/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRelease Git tag.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/repositories/aa/aa/releases/tags/aa" \ -H "Content-Type: application/json" \ -d '{ "hideArchiveLinks": false, "isDraft": false, "isPrerelease": false, "notes": "abc123", "tagName": "abc123", "target": "abc123", "title": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Repository owner namespace.
1 <= lengthRepository name from the {name} path segment.
1 <= lengthRelease Git tag.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/repositories/aa/aa/releases/tags/aa""abc123"